limbo repo / daily repo [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

limbo repo / daily repo [Solved]

Postby Omnomnom9 » Fri Sep 08, 2017 16:11

I activated the daily repo and limbo for the latest packages but I still don't see the newest version. Example wine-staging is still only available in version 2.3 or the newest nvidia drivers.

Thanks
Last edited by Omnomnom9 on Thu Oct 05, 2017 15:00, edited 1 time in total.
Omnomnom9
Baby Hen
 
Posts: 8
Joined: Sun Oct 23, 2016 20:54

Re: limbo repo / daily repo

Postby Stupot » Fri Sep 08, 2017 17:17

Can you give some output so we can see exactly what you mean?

E.g.
Code: Select all
[email protected] ~/Downloads $ equo search app-emulation/wine
╠  @@ Searching...
╠      @@ Package: app-emulation/wine-2.3 branch: 5, [sabayonlinux.org]
╠          Available:     version: 2.3 ~ tag: NoTag ~ revision: 0
╠          Installed:     version: Not installed ~ tag: n/a ~ revision: n/a
╠          Slot:          0
╠          Homepage:      http://www.winehq.org/
╠          Description:   Free implementation of Windows(tm)
╠                         on Unix
╠          License:       LGPL-2.1


And as root:

Code: Select all
sabayon Downloads # equo repo list
  sabayon-limbo
    Sabayon Limbo Testing Repository, do not mix with sabayon-weekly, use with sabayonlinux.org
* sabayonlinux.org
    Sabayon Linux Official Repository
Stupot
Sagely Hen
 
Posts: 1606
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: limbo repo / daily repo

Postby sabayonino » Fri Sep 08, 2017 18:56

limbo is the testing repository . Doesn't mean very latest version.

no Wine in limbo
https://packages.sabayon.org/quicksearch?q=wine&x=0&y=0
User avatar
sabayonino
Sagely Hen
 
Posts: 3000
Joined: Sun Sep 21, 2008 1:12
Location: Italy

Re: limbo repo / daily repo

Postby Omnomnom9 » Mon Sep 11, 2017 14:13

@Stupot

yes, that's what I meant.

@sabayonino

how can I get the latest packages? Do I have to use portage / overlay (found an overlay for wine-staging, but how to do it?) but what's with the nvidia drivers?

Thanks
Omnomnom9
Baby Hen
 
Posts: 8
Joined: Sun Oct 23, 2016 20:54

Re: limbo repo / daily repo

Postby Stupot » Wed Sep 13, 2017 5:10

@Omnomnom9, you still aren't providing me with the output I asked for, so I don't know how to help you.

If you are seeing exactly what I pasted, then I'm not sure what the problem is. 2.3 is the latest version of wine that even Gentoo has in the main portage tree: https://packages.gentoo.org/packages/app-emulation/wine
Stupot
Sagely Hen
 
Posts: 1606
Joined: Wed Feb 14, 2007 3:44
Location: St. Louis, MO, USA

Re: limbo repo / daily repo

Postby svantoviit » Wed Sep 13, 2017 7:30

Omnomnom9 wrote:how can I get the latest packages? Do I have to use portage / overlay (found an overlay for wine-staging, but how to do it?) but what's with the nvidia drivers?

Do you have any particular reason to get these packages?

I know, 2.16 dev version of wine has been announced:
WineHQ wrote:Stable: Wine 2.0.2 (shortlog)
Development: Wine 2.16 (shortlog)

The latest staging in Portage is 2.12 anyway and it's masked for a reason.

Code: Select all
# emerge -a1 app-emulation/wine-staging

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    #] app-eselect/eselect-wine-1.1
[ebuild  N    #] app-emulation/wine-gecko-2.47-r1  ABI_X86="32 (64)"
[ebuild  N    #] app-emulation/wine-desktop-common-20150204
[ebuild  N    #] app-emulation/wine-staging-2.12  USE="X alsa cups fontconfig gecko gphoto2 gsm jpeg lcms ldap mp3 ncurses nls openal opengl perl png pulseaudio realtime run-exes scanner ssl (staging) threads truetype udev udisks v4l xcomposite xinerama xml -capi -custom-cflags -dos -gstreamer -mono -netapi -odbc -opencl -osmesa -oss -pcap -pipelight -prelink -s3tc -samba (-selinux) {-test} -themes -vaapi" ABI_X86="32 64 (-x32)" LINGUAS="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt nb_NO nl pa pl pt_BR pt_PT ro ru sk sl sv tr uk zh_CN zh_TW -ml -or -rm [email protected] [email protected] -te -th -wa"
[blocks B      ] app-emulation/wine:0 ("app-emulation/wine:0" is hard blocking app-eselect/eselect-wine-1.1, app-emulation/wine-gecko-2.47-r1)
[blocks B      ] app-emulation/wine:0 ("app-emulation/wine:0" is hard blocking app-emulation/wine-desktop-common-20150204)
[blocks B      ] app-emulation/wine:0 ("app-emulation/wine:0" is blocking app-emulation/wine-staging-2.12)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (app-emulation/wine-staging-2.12:2.12/2.12::gentoo, ebuild scheduled for merge) pulled in by
    app-emulation/wine-staging


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages


The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by app-emulation/wine-staging-2.12::gentoo
# required by app-emulation/wine-staging (argument)
# /usr/portage/profiles/package.mask:
# NP-Hardass <[email protected]> (10 Apr 2017)
# Masked for testing
=app-eselect/eselect-wine-1.1
# required by app-emulation/wine-staging (argument)
# /usr/portage/profiles/package.mask:
# NP-Hardass <[email protected]> (10 Apr 2017)
# Masked for testing
=app-emulation/wine-staging-2.12
# required by app-emulation/wine-staging-2.12::gentoo
# required by app-emulation/wine-staging (argument)
# /usr/portage/profiles/package.mask:
# NP-Hardass <[email protected]> (10 Apr 2017)
# Masked for testing
=app-emulation/wine-desktop-common-20150204
# required by app-emulation/wine-staging-2.12::gentoo[gecko]
# required by app-emulation/wine-staging (argument)
# /usr/portage/profiles/package.mask:
# NP-Hardass <[email protected]> (10 Apr 2017)
# Masked for testing
=app-emulation/wine-gecko-2.47-r1

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.

Would you like to add these changes to your config files? [Yes/No] n

Or do you want to help with testing?

As for the nvidia drivers, 384.69 (which is the latest for Linux) is both in the main tree and in the sabayon-distro overlay so you need just to be patient.

BTW, do you like to break and fix stuff? If not, limbo is not what you want . I would suggest you to remove it.
svantoviit
Old Dear Hen
 
Posts: 706
Joined: Sun Feb 28, 2010 17:55

Re: limbo repo / daily repo

Postby Omnomnom9 » Thu Sep 14, 2017 18:06

Thanks for the answers.

@svantoviit

Mainly I only need the latest wine-staging. I noticed the overlay, but there is another overlay for the 2.16 version. But how can I add an overlay?

Also, how can I install flatpak (Monodevelop)?

Thanks
Omnomnom9
Baby Hen
 
Posts: 8
Joined: Sun Oct 23, 2016 20:54

Re: limbo repo / daily repo

Postby svantoviit » Thu Sep 14, 2017 21:05

Omnomnom9 wrote:Mainly I only need the latest wine-staging. I noticed the overlay, but there is another overlay for the 2.16 version. But how can I add an overlay?

Oh, yes, seems 2.16 hit the main tree as well. For the Portage stuff I can only direct you to the documentation, from there you are principally on your own :
HOWTO: Install Packages on Sabayon / The Complete Portage Guide
HOWTO: Safely mix Entropy and Portage


Omnomnom9 wrote:Also, how can I install flatpak (Monodevelop)?

Try to follow the instructions given on the monodevelop website:
  1. Install flatpak from the unofficial overlay https://github.com/fosero/flatpak-overlay
    Code: Select all
    # emerge --sync
    # layman -o https://raw.githubusercontent.com/fosero/flatpak-overlay/master/repositories.xml -f -a flatpak-overlay
    # emerge -a1 flatpak
  2. Install monodevelop
    Code: Select all
    $ flatpak install --user --from https://download.mono-project.com/repo/monodevelop.flatpakref
Good luck!
svantoviit
Old Dear Hen
 
Posts: 706
Joined: Sun Feb 28, 2010 17:55

Re: limbo repo / daily repo

Postby Omnomnom9 » Fri Sep 15, 2017 16:10

Code: Select all
# emerge -a1 flatpak


I get this error

Code: Select all
Package 'net-dns/avahi-0.7' NOT merged due to file collisions. If
necessary, refer to your elog messages for the whole content of the
above message.
Omnomnom9
Baby Hen
 
Posts: 8
Joined: Sun Oct 23, 2016 20:54

Re: limbo repo / daily repo

Postby svantoviit » Sat Sep 16, 2017 13:57

I can only advise you to install the dependencies via Entropy if possible.
To minimize the number of packages pulled by Portage and thus minimize problems.
svantoviit
Old Dear Hen
 
Posts: 706
Joined: Sun Feb 28, 2010 17:55

Next

Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests